package org.jeecg.modules.excelutil.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;

import java.math.BigDecimal;

/**
 * @author 宋英豪
 */
public class EffecfReportCreativeEntity extends BaseRowModel {
    @ExcelProperty(index = 1, value = "创意视频url")
    private String url;
    @ExcelProperty(index = 2, value = "创意名称")
    private String creativeName;
    @ExcelProperty(index = 3, value = "广告组名称")
    private String campaignName;
    @ExcelProperty(index = 4, value = "消耗")
    private BigDecimal charge;
    @ExcelProperty(index = 5, value = "封面曝光数")
    private Long photoShow;
    @ExcelProperty(index = 6, value = "封面点击数")
    private Long photoClick;
    @ExcelProperty(index = 7, value = "素材曝光数")
    private Long aclick;
    @ExcelProperty(index = 8, value = "行为数")
    private Long bclick;
    @ExcelProperty(index = 9, value = "激活数")
    private Long activation;
    @ExcelProperty(index = 10, value = "注册数")
    private Long eventRegister;
    @ExcelProperty(index = 11, value = "点击数")
    private Long submit;
    @ExcelProperty(index = 12, value = "次留数")
    private Long eventNextDayStay;
    @ExcelProperty(index = 13, value = "次留成本")
    private BigDecimal eventNextDayStayCost;
    @ExcelProperty(index = 14, value = "激活成本")
    private BigDecimal activationCost;
    @ExcelProperty(index = 15, value = "封面点击率")
    private String photoClickRatio;
    @ExcelProperty(index = 16, value = "行为率")
    private String actionRate;
    @ExcelProperty(index = 17, value = "千次曝光花费")
    private BigDecimal impression1kCost;
    @ExcelProperty(index = 18, value = "封面点击单价")
    private BigDecimal photoClickCost;
    @ExcelProperty(index = 19, value = "行为单价")
    private BigDecimal actionCost;
    @ExcelProperty(index = 20, value = "分享数")
    private Long photoShare;
    @ExcelProperty(index = 21, value = "评论数")
    private Long photoComment;
    @ExcelProperty(index = 22, value = "点赞数")
    private Long photoLike;
    @ExcelProperty(index = 23, value = "新增关注数")
    private Long follow;
    @ExcelProperty(index = 24, value = "举报数")
    private Long report;
    @ExcelProperty(index = 25, value = "取消关注数")
    private Long cancelFollow;
    @ExcelProperty(index = 26, value = "拉黑数")
    private Long block;
    @ExcelProperty(index = 27, value = "减少此类作品数")
    private Long nagative;
    @ExcelProperty(index = 28, value = "安卓下载开始数")
    private Long downloadStarted;
    @ExcelProperty(index = 29, value = "安卓下载完成数")
    private Long downloadCompleted;

    public BigDecimal getCharge() {
        return charge;
    }

    public void setCharge(BigDecimal charge) {
        this.charge = charge;
    }

    public Long getPhotoShow() {
        return photoShow;
    }

    public void setPhotoShow(Long photoShow) {
        this.photoShow = photoShow;
    }

    public Long getPhotoClick() {
        return photoClick;
    }

    public void setPhotoClick(Long photoClick) {
        this.photoClick = photoClick;
    }

    public Long getAclick() {
        return aclick;
    }

    public void setAclick(Long aclick) {
        this.aclick = aclick;
    }

    public Long getBclick() {
        return bclick;
    }

    public void setBclick(Long bclick) {
        this.bclick = bclick;
    }

    public Long getActivation() {
        return activation;
    }

    public void setActivation(Long activation) {
        this.activation = activation;
    }

    public Long getEventRegister() {
        return eventRegister;
    }

    public void setEventRegister(Long eventRegister) {
        this.eventRegister = eventRegister;
    }

    public Long getSubmit() {
        return submit;
    }

    public void setSubmit(Long submit) {
        this.submit = submit;
    }

    public Long getEventNextDayStay() {
        return eventNextDayStay;
    }

    public void setEventNextDayStay(Long eventNextDayStay) {
        this.eventNextDayStay = eventNextDayStay;
    }

    public BigDecimal getEventNextDayStayCost() {
        return eventNextDayStayCost;
    }

    public void setEventNextDayStayCost(BigDecimal eventNextDayStayCost) {
        this.eventNextDayStayCost = eventNextDayStayCost;
    }

    public BigDecimal getActivationCost() {
        return activationCost;
    }

    public void setActivationCost(BigDecimal activationCost) {
        this.activationCost = activationCost;
    }

    public String getPhotoClickRatio() {
        return photoClickRatio;
    }

    public void setPhotoClickRatio(String photoClickRatio) {
        this.photoClickRatio = photoClickRatio;
    }

    public String getActionRate() {
        return actionRate;
    }

    public void setActionRate(String actionRate) {
        this.actionRate = actionRate;
    }

    public BigDecimal getImpression1kCost() {
        return impression1kCost;
    }

    public void setImpression1kCost(BigDecimal impression1kCost) {
        this.impression1kCost = impression1kCost;
    }

    public BigDecimal getPhotoClickCost() {
        return photoClickCost;
    }

    public void setPhotoClickCost(BigDecimal photoClickCost) {
        this.photoClickCost = photoClickCost;
    }

    public BigDecimal getActionCost() {
        return actionCost;
    }

    public void setActionCost(BigDecimal actionCost) {
        this.actionCost = actionCost;
    }

    public Long getPhotoShare() {
        return photoShare;
    }

    public void setPhotoShare(Long photoShare) {
        this.photoShare = photoShare;
    }

    public Long getPhotoComment() {
        return photoComment;
    }

    public void setPhotoComment(Long photoComment) {
        this.photoComment = photoComment;
    }

    public Long getPhotoLike() {
        return photoLike;
    }

    public void setPhotoLike(Long photoLike) {
        this.photoLike = photoLike;
    }

    public Long getFollow() {
        return follow;
    }

    public void setFollow(Long follow) {
        this.follow = follow;
    }

    public Long getReport() {
        return report;
    }

    public void setReport(Long report) {
        this.report = report;
    }

    public Long getCancelFollow() {
        return cancelFollow;
    }

    public void setCancelFollow(Long cancelFollow) {
        this.cancelFollow = cancelFollow;
    }

    public Long getBlock() {
        return block;
    }

    public void setBlock(Long block) {
        this.block = block;
    }

    public Long getNagative() {
        return nagative;
    }

    public void setNagative(Long nagative) {
        this.nagative = nagative;
    }

    public Long getDownloadStarted() {
        return downloadStarted;
    }

    public void setDownloadStarted(Long downloadStarted) {
        this.downloadStarted = downloadStarted;
    }

    public Long getDownloadCompleted() {
        return downloadCompleted;
    }

    public void setDownloadCompleted(Long downloadCompleted) {
        this.downloadCompleted = downloadCompleted;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getCreativeName() {
        return creativeName;
    }

    public void setCreativeName(String creativeName) {
        this.creativeName = creativeName;
    }

    public String getCampaignName() {
        return campaignName;
    }

    public void setCampaignName(String campaignName) {
        this.campaignName = campaignName;
    }
}
